<?php get_header(); ?>

<div id="content" class="search-results">
<h2><?php _e('Search Results','victorianxmas');?></h2>
<?php
$my_tot_pages = $wp_query->max_num_pages;
if($my_tot_pages ==1) $my_tot_pages.=__(' page','victorianxmas') ;
else $my_tot_pages .= __(' pages','victorianxmas') ;
$my_curr_page = $paged;
if($my_curr_page =='') $my_curr_page = 1;
?>

<?php
$my_searchterm = trim(get_search_query());
if($my_searchterm !='') : ?>
<p><?php _e('You searched for','victorianxmas');?> <em><?php echo $my_searchterm;?></em>.<br />
<?php if (have_posts()) : ?>
<?php _e('Displaying page','victorianxmas');?> <?php echo $my_curr_page;?> <?php _e('of','victorianxmas');?> <?php echo $my_tot_pages;?> <?php _e('of results:','victorianxmas');?></p>

<?php while (have_posts()) : the_post();?>
<div <?php post_class();?>>

<h3 class="storytitle"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h3>

<?php if($post->post_type == 'post') :?>
<ul class="meta">
<li><?php _e('Posted on','victorianxmas');?> <?php the_time( get_option( 'date_format' ) ); if($post->post_type != 'page') {?> <?php _e('in','victorianxmas');?> <?php the_category(', ');} ?>.</li>
<?php if(get_the_tags()) {echo '<li>' . __('Tags: ','victorianxmas') . get_the_tag_list('<ul><li>',',</li> <li>','</li></ul>').'</li>';}?>
</ul>
<?php endif;?>

</div>

<?php endwhile;?>

<ul class="prevnext">
<li class="older"><?php previous_posts_link(__('Previous results','victorianxmas') );?></li>
<li class="newer"><?php next_posts_link(__('Next results','victorianxmas') ); ?></li>
</ul>

<p class="top"><a href="#top" title="<?php _e('Go to top of page','victorianxmas');?>"><?php _e('Top','victorianxmas');?></a></p>

<?php else : ?>
<br /><?php _e("Sorry - I couldn't find anything!",'victorianxmas');?></p>
<?php endif;else : ?>
<p><strong class="error"><?php _e('You forgot to enter a search term!','victorianxmas');?></strong></p>
<?php endif; ?>

</div>
<?php get_sidebar();
get_footer();