<?php
/*
Template Name: Site Map
*/
?>
<?php get_header(); ?>

<div id="content">
<?php // MAIN LOOP: display pages
if (have_posts()) : while (have_posts()) : the_post(); ?>
<div <?php post_class(); ?>>

<h2 class="post-title"><?php the_title(); ?></h2>

<h3><?php _e('Pages','victorianxmas');?></h3>
<ul class="sitemap">
<li><a href="<?php echo home_url(); ?>">Home</a>
<ul>
<?php
if(get_option('show_on_front') == 'page') $exclude = '&exclude='.get_option('page_on_front');
else $exclude = '';
wp_list_pages('title_li&sort_column=post_title'.$exclude);
?>
</ul></li>
</ul>
<?php endwhile; endif; ?>

<h3><?php _e('Posts','victorianxmas');?></h3>
<ul class="sitemap">
<?php
// SECOND LOOP: display posts
global $post;
$my_posts = get_posts('numberposts=0&orderby=title&order=ASC&post_type=post&nopaging=false');
foreach($my_posts as $post) :
?>
<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a> <small>(<?php the_time('j M Y g:i a'); ?>)</small></li>
<?php endforeach; ?>
</ul>

</div>
</div>

<?php get_sidebar();
get_footer();